Bug 274903 - Picture and some text which are there in the autoshape, are displaying outside the autoshape
Summary: Picture and some text which are there in the autoshape, are displaying outsid...
Status: VERIFIED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: doc (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-04 12:13 UTC by swathi
Modified: 2011-06-29 06:07 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2011-06-04 12:13:29 UTC
Version: git checkout 09bf66c4b404f9fb8d3c2912ea77d02646e38f0a
        (Using KDE 4.5.5)                
     OS: Kubuntu 10.10
Test data is in MS Word 2003 format which has picture and text in the autoshape.
Open the same document in Calligra Words, check the display of the picture.

Expected outcome:
Picture and text should be displayed with in the autoshape.

Actual outcome:
Picture and some text is displaying outside the autoshape.

Frequency:
Always.
Comment 1 Matus Uzak 2011-06-06 18:48:54 UTC
Git commit b546f33525dc7f42271226b6d57ce331e8eddb17 by Matus Uzak.
Committed on 06/06/2011 at 18:45.
Pushed by uzak into branch 'master'.

DOC: Updated support for nested shapes.

BUG:274903

M  +9    -19   filters/words/msword-odf/document.cpp     
M  +6    -10   filters/words/msword-odf/graphicshandler.cpp     
M  +10   -8    filters/words/msword-odf/graphicshandler.h     
M  +53   -40   filters/words/msword-odf/texthandler.cpp     
M  +22   -11   filters/words/msword-odf/texthandler.h     

http://commits.kde.org/calligra/b546f33525dc7f42271226b6d57ce331e8eddb17
Comment 2 Matus Uzak 2011-06-06 18:53:42 UTC
Comment: The floating shape contains some text and an in-line shape.  The layout of the in-line shape (nested shape) is not perfect at the moment, we have to discus this.  At the moment OOo does not support nested shapes so we have to go our own way.
Comment 3 swathi 2011-06-29 06:07:35 UTC
Verified in  5f6f9401b53343b140d2bae8587ec3a01f103fe1.